List Posts for a Conversation

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://reference.textline.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Textline API MCP server": {
    "url": "https://reference.textline.com/mcp"
  }
}

Close
GET /api/reporting/conversation/{uuid}/posts.json

This will list all posts for the specified conversation. You can set other parameters to filter the response. By default, this call responds conversations associated with contacts that are archived and/or blocked. This is different from the other APIs, so make sure to adjust your parameters as desired.

Path parameters

  • uuid string Required

    Identifier of the conversation of which to get the posts.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • posts array
    • meta object
      Hide meta attributes Show meta attributes object
      • next_page string
      • prev_page string
      • total_records number
      • page number
GET /api/reporting/conversation/{uuid}/posts.json
curl \
 --request GET 'https://application.textline.com/api/reporting/conversation/84a2c56f-6b79-4764-811d-90880e2757b4/posts.json'
Response examples (200)
{
  "posts": [
    {
      "assigned_to": "null",
      "attachments": [],
      "body": "Hi Michael, Wrapping up here at work, get me a mojito.",
      "created_at": 1644586642,
      "is_whisper": "false",
      "marked_as_resolved": false,
      "uuid": "2829ffdf-282c-477a-bea0-3a9158126a8e",
      "transferred_to": "null",
      "creator": {
        "avatar_url": "https://example.com/image.png",
        "name": "Chuck Finley",
        "on_call": true,
        "username": "ChuckF",
        "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
        "email": "chuckf@textline.com",
        "permission_level": "Sidekick",
        "group_uuids": [
          "21ca50a9-a85d-49d1-9266-0df69fd5a9ef",
          "35c450e8-5b60-46e2-b691-481419462c16"
        ],
        "type": "user"
      },
      "conversation_uuid": "84a2c56f-6b79-4764-811d-90880e2757b4",
      "thread_uuid": "1e5d3b35-0666-4fd5-b035-2f5af16fbf40",
      "first_post": true,
      "first_response": true
    }
  ],
  "meta": {
    "next_page": "https://application.textline.com/api/reporting/conversations.json?search_uuid=9d6857bd-ddbf-4409-8444-084a6da90977&page=1&page_size=10",
    "prev_page": "null",
    "total_records": 1,
    "page": 0
  }
}